- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Modules
Functions to create arrays.
ArrayFire Functions by Category » Functions to create and modify Arrays

constant, random, range, etc. More...

## Modules
| constant
| Create a array from a scalar input value.
| diag
| Extract diagonal from a matrix when `extract` is set to true.
| getSeed
| Get the seed for random number generator.
| identity
| Create an identity array with diagonal values 1.
| iota
| Create an sequence [0, dims.elements() - 1] and modify to specified dimensions dims and then tile it according to tile_dims.
| lower
| Create a lower triangular marix from input array.
| randn
| Create a random array sampled from a normal distribution.
| randu
| Create a random array sampled from uniform distribution.
| range
| Creates an array with [0, n] values along the seq_dim which is tiled across other dimensions.
| setSeed
| Set the seed for random number generator.
| upper
| Create a upper triangular marix from input array.

## Detailed Description

constant, random, range, etc.